package com.example.ellegadodepintia

import android.content.Intent
import android.graphics.Color
import android.os.Bundle
import android.widget.Button
import android.widget.ImageButton
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.minijuego1.InicioMinijuego1
import com.example.ellegadodepintia.exploradoresDePintia.ExploradoresDePintia
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.minijuego2.Minijuego2
import com.example.ellegadodepintia.minijuego3.Minijuego3

class MapActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_map)

        val mapButton: ImageButton= findViewById(R.id.mapButton)
        val leaderboardButton: ImageButton = findViewById(R.id.leaderboardButton)
        val shopButton: ImageButton = findViewById(R.id.shopButton)

        leaderboardButton.setOnClickListener{
            val intent = Intent(this, LeaderboardActivity::class.java)
            startActivity(intent)
        }

        GameState.jugador.monedas.toString().also { findViewById<TextView>(R.id.moneyText).text = it }


        mapButton.setBackgroundResource(R.drawable.style_texto_border)
        leaderboardButton.setBackgroundColor(Color.TRANSPARENT)
        shopButton.setBackgroundColor(Color.TRANSPARENT)

        val minijuego1Button = findViewById<Button>(R.id.minijuego1)
        minijuego1Button.setOnClickListener {
            val intent = Intent(this, InicioMinijuego1::class.java)
            startActivity(intent)
        }

        val minijuego2Button = findViewById<Button>(R.id.minijuego2)
        minijuego2Button.setOnClickListener {
            val intent = Intent(this, Minijuego2::class.java)
            startActivity(intent)
        }

        val minijuego3Button = findViewById<Button>(R.id.minijuego3)
        minijuego3Button.setOnClickListener {
            val intent = Intent(this, Minijuego3::class.java)
            startActivity(intent)
        }

        val minijuego4Button = findViewById<Button>(R.id.minijuego4)
        minijuego4Button.setOnClickListener {
            val intent = Intent(this, ExploradoresDePintia::class.java)
            startActivity(intent)
        }
    }
}
