package com.example.ellegadodepintia.exploradoresDePintia

import android.content.DialogInterface
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import android.widget.ImageView
import android.widget.TextView
import androidx.fragment.app.DialogFragment
import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.objeto.Objeto

class ModalDetallesCompra : DialogFragment() {
    var objeto: Objeto? = null
    var coste: Int? = null
    var onDismissListener: ((accionRealizada: Boolean) -> Unit)? = null
    private var accionRealizada: Boolean = false

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.modal_detalles_compra, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val params = dialog?.window?.attributes
        if (params != null) {
            params.width = (resources.displayMetrics.widthPixels * 0.90).toInt()
            params.height = ViewGroup.LayoutParams.WRAP_CONTENT
            dialog?.window?.attributes = params
        }

        val imagenEvento = view.findViewById<ImageView>(R.id.imagenObjeto)
        imagenEvento.setImageResource(objeto!!.imagen)

        val nombre = view.findViewById<TextView>(R.id.nombreObjeto)
        nombre.text = objeto!!.nombre

        val descripcion = view.findViewById<TextView>(R.id.textoDescripcion)
        descripcion.text = objeto!!.descripcion

        val coste = view.findViewById<TextView>(R.id.textoPrecio)
        """Coste:${this.coste}""".also { coste.text = it }

        val boton = view.findViewById<Button>(R.id.botonComprar)
        boton.setOnClickListener{
            accionRealizada = true
            dismiss()
        }



    }

    override fun onDismiss(dialog: DialogInterface) {
        super.onDismiss(dialog)
        onDismissListener?.invoke(accionRealizada)
    }

}
