package com.example.ellegadodepintia.exploradoresDePintia.model.efecto

import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.GestorCombate
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory.EventoCombate

class EfectoAtaqueEnemigo(probabilidadExito: Int) : Efecto(probabilidadExito) {
    override fun ejecutar(): String {
        val probabilidadEnemigo = (1..100).random()
        val mensaje: String

        val evento = GameState.eventoActual as? EventoCombate ?: return "No es un evento de combate"
        GestorCombate.cargarAnimacionesAtaqueEnemigo()

        if (probabilidadEnemigo <= probabilidadExito) {
            val ataqueReal = GestorCombate.calcularAtaque(evento.ataque)

            GameState.jugador.actualizarAtributo(Atributo.Vida, -ataqueReal)

            mensaje = "¡El enemigo te ha golpeado, recibes $ataqueReal de daño!"
        } else {
            mensaje = "¡El enemigo ha fallado el golpe!"
        }

        return mensaje
    }
}