package com.example.ellegadodepintia.soundManager

import android.content.Context
import android.media.MediaPlayer

class SoundManager(private val context: Context) {
    private var mediaPlayer: MediaPlayer? = null

    // Método para reproducir un sonido
    fun playSound(soundResource: Int) {
        // Inicializa un nuevo MediaPlayer con el recurso de sonido
        mediaPlayer = MediaPlayer.create(context, soundResource)
        mediaPlayer?.start()  // Comienza la reproducción
    }

    // Método para reproducir un sonido en bucle
    fun playSoundLoop(soundResource: Int) {
        // Inicializa un nuevo MediaPlayer con el recurso de sonido
        mediaPlayer = MediaPlayer.create(context, soundResource)
        mediaPlayer?.apply {
            isLooping = true  // Hacer que el sonido se repita en bucle
            start()  // Comienza la reproducción
        }
    }

    // Método para detener el sonido actual
    fun stopSound() {
        mediaPlayer?.let {
            if (it.isPlaying) {
                it.stop()
            }
        }
    }

    // Método para liberar recursos cuando ya no se necesiten más
    fun release() {
        mediaPlayer?.release()
        mediaPlayer = null
    }
}
